VRSpace.org - Bug #154

Sometime VRspace does not compile.
09/03/2022 06:23 PM - Benjamin LIPERE

Status: Closed Start date: 09/03/2022
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Hello.

Here my log :

[VRObject(super=Entity(id=77), children=[], world=World(super=Entity(id=72), name=test2, defaultWorld=false),
position=Point(x=10.0, y=0.0, z=0.0), rotation=null, scale=null, permanent=null, temporary=null, active=null, mesh=null, script=null,

animation=null, properties=null, streamld=null, listeners=null)]

[ERROR] Tests run: 21, Failures: 1, Errors: 0, Skipped: 1, Time elapsed: 270.359 s <<< FAILURE! - in

org.vrspace.server.core.DBTest

[ERROR] testPointsInRange Time elapsed: 7.833 s <<< FAILURE!
org.opentest4j.AssertionFailedError: expected: <1> but was: <5>

at org.vrspace.server.core.DBTest.testPointsinRange(DBTest.java:107)

[INFQO] Running org.vrspace.server.core.WorldManagerTest

2022-09-03 15:46:41.310 DEBUG 25764 --- | main] org.vrspace.server.core.WorldManager
null attributes: {}

2022-09-03 15:46:41.528 DEBUG 25764 ---
null attributes: {}

2022-09-03 15:46:41.629 INFO 25764 --- | main] org.vrspace.server.core.WorldManager
World(super=Entity(id=0), name=test, defaultWorld=false)

2022-09-03 15:46:41.738 DEBUG 25764 --- | main] org.vrspace.server.core.WorldManager
null attributes: {}

2022-09-03 15:46:41.740 INFO 25764 --- | main] org.vrspace.server.core.WorldManager
World(super=Entity(id=0), name=test, defaultWorld=false)

2022-09-03 15:46:42.209 DEBUG 25764 --- | main] org.vrspace.server.core.WorldManager
null attributes: {}

2022-09-03 15:46:42.217 INFO 25764 --- | main] org.vrspace.server.core.WorldManager
World(super=Entity(id=0), name=test, defaultWorld=false)

main] org.vrspace.server.core.WorldManager

: Login principal: null headers:

: Login principal: null headers:
: Created default world:

: Login principal: null headers:
: Created default world:

: Login principal: null headers:
: Created default world:

:Wrote 0in 1 ms

2022-09-03 15:46:42.249 DEBUG 25764 --- |
2022-09-03 15:46:42.262 DEBUG 25764 --- |
2022-09-03 15:46:42.269 DEBUG 25764 --- |
2022-09-03 15:46:42.277 DEBUG 25764 --- |
2022-09-03 15:46:42.282 DEBUG 25764 --- |
2022-09-03 15:46:42.365 DEBUG 25764 --- |
null attributes: {}

2022-09-03 15:46:42.378 INFO 25764 --- |

main] org.vrspace.server.core.WorldManager

main] org.vrspace.server.core.WriteBack
main] org.vrspace.server.core.WorldManager
main] org.vrspace.server.core.WriteBack
main] org.vrspace.server.core.WorldManager
main] org.vrspace.server.core.WriteBack
main] org.vrspace.server.core.WorldManager

:Wrote 0in 3 ms
: Deleted guest client
:Wrote 0in 3 ms

: Created default world:

World(super=Entity(id=0), name=test, defaultWorld=false)

2022-09-03 15:46:42.406 DEBUG 25764 --- |
2022-09-03 15:46:42.409 DEBUG 25764 --- |
2022-09-03 15:46:42.473 DEBUG 25764 --- |
null attributes: {}

2022-09-03 15:46:42.479 DEBUG 25764 --- |
2022-09-03 15:46:42.481 DEBUG 25764 --- |
2022-09-03 15:46:42.484 DEBUG 25764 --- |
null attributes: {}

2022-09-03 15:46:42.490 DEBUG 25764 --- |
2022-09-03 15:46:42.494 DEBUG 25764 --- |
2022-09-03 15:46:42.498 DEBUG 25764 --- |
null attributes: {}

2022-09-03 15:46:42.511 DEBUG 25764 --- |
2022-09-03 15:46:42.514 DEBUG 25764 --- |
2022-09-03 15:46:42.515 DEBUG 25764 --- |
null attributes: {}
main] org.vrspace.server.core.Scene : Scene for 0 removing 0
main] org.vrspace.server.core.Scene : Scene for 0 adding 0
main] org.vrspace.server.core.WorldManager

main] org.vrspace.server.core.Scene : Scene for 1 removing 0
main] org.vrspace.server.core.Scene : Scene for 1 adding 0
main] org.vrspace.server.core.WorldManager

main] org.vrspace.server.core.Scene : Scene for 2 removing 0
main] org.vrspace.server.core.Scene : Scene for 2 adding 0
main] org.vrspace.server.core.WorldManager

main] org.vrspace.server.core.Scene : Scene for 3 removing 0
main] org.vrspace.server.core.Scene : Scene for 3 adding 0
main] org.vrspace.server.core.WorldManager

: Deleted owned temporary |D

null

: Login principal: null headers:

: Login principal: null headers:

: Login principal: null headers:

: Login principal: null headers:

: Login principal: null headers:
2022-09-03 15:46:42.517 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 4 removing 0
2022-09-03 15:46:42.518 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 4 adding 0
2022-09-03 15:46:42.519 DEBUG 25764 --- | main] org.vrspace.server.core.WorldManager : Login principal: null headers:
null attributes: {}

2022-09-03 15:46:43.626 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 removing 0
2022-09-03 15:46:43.628 DEBUG 25764 --- | main] org.vrspace.server.core.WriteBack :Wrote 0in 0 ms
2022-09-03 15:46:43.631 DEBUG 25764 --- | main] org.vrspace.server.core.WorldManager : Deleted guest client 0
2022-09-03 15:46:43.636 DEBUG 25764 --- | main] org.vrspace.server.core.WriteBack : Wrote 0in 3 ms
2022-09-03 15:46:43.643 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 5 removing 0
2022-09-03 15:46:43.645 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 5 adding 0

[INFQ] Tests run: 5, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 3.966 s - in org.vrspace.server.core.WorldManagerTest
[INFO] Running org.vrspace.server.core.ClassUtil Test

[class org.vrspace.server.obj.ArthurBot, class org.vrspace.server.obj.BotLibre, class org.vrspace.server.obj.Client, class
org.vrspace.server.obj.EventRecorder]

[class org.vrspace.server.dto.Add, class org.vrspace.server.dto.Describe, class org.vrspace.server.dto.Echo, class
org.vrspace.server.dto.Enter, class org.vrspace.server.dto.Log, class org.vrspace.server.dto.Ping, class
org.vrspace.server.dto.Recording, class org.vrspace.server.dto.Refresh, class org.vrspace.server.dto.Remove, class
org.vrspace.server.dto.Session]

[INFQO] Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 1.791 s - in org.vrspace.server.core.ClassUtilTest
[INFO] Running org.vrspace.server.core.FactoryProperty Test
[ | /=/_/_/_/
:: Spring Boot :: (v2.5.06)
2022-09-03 15:46:55.467 INFO 25764 --- | main] o.v.server.core.FactoryPropertyTest  : Starting FactoryPropertyTest using
Java 11.0.16 on vrserver-4179-5655d48844-kfd5n with PID 25764 (started by root in /root/vrspace/server)
2022-09-03 15:46:55.501 DEBUG 25764 --- | main] o.v.server.core.FactoryPropertyTest  : Running with Spring Boot v2.5.6,
Spring v5.3.12
2022-09-03 15:46:56.001 INFO 25764 --- | main] o.v.server.core.FactoryPropertyTest  : No active profile set, falling back to
default profiles: default
2022-09-03 15:46:59.491 INFO 25764 --- | main] o.v.server.core.FactoryPropertyTest  : Started FactoryPropertyTest in

11.466 seconds (JVM running for 487.911)

[INFQO] Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 10.808 s - in org.vrspace.server.core.FactoryProperty Test
[INFQO] Running org.vrspace.server.core.JsonTest {"VRObject":{"id":1}} {"VRObject":{"id":1}} {"VRObject":{"id":1,"temporary":false}}
{"VRODbject":{"id":1,"temporary":false}} {"VRODbject"{"id":1,"temporary":true}} {"VRObject":{"id":1,"temporary":true}}
{"Client":{"active":true,"properties"{"string":"string","float":1.2,"long":1},"name":"client"}}
{"Client":{"active":true,"properties"{"string":"string","float":1.2,"long":1},"name":"client"}}
{"Add":{"objects":[{"VRObject":{"id":1,"children™:[{"VRObject":{"id":2}}]}},{"VRObject":{"id":3,"children":[{"VRObject"{"id":4}}11}1}}
{"Add":{"objects":[{"VRObject":{"id":1,"children™:[{"VRObject":{"id":2}}]}},{"VRObject":{"id":3,"children":[{"VRObject"{"id":4}}1}}1}}
{"object":{"VRObject":1},"changes":{"field1":"value2","field2":5,"field3":{"id":2},"field4":{"one":1,"two":"two"}},"timestamp":"2022-09-03T
15:47:04.289085000"}

{"object":{"VRObject":1},"changes":{"field1":"value2","field2":5,"field3":{"id":2},"field4":{"one":1,"two":"two"}}, "timestamp":"2022-09-03T
15:47:04.289085000"} {"timestamp":"2022-09-03T15:47:05.263463000","command":{"Add":{"objects":[{"VRObject":{}}]}}}
{"timestamp":"2022-09-03T15:47:05.263463000","command":{"Add":{"objects":[{"VRObject":{}}1}}}
{"object":{"VRObject":1},"changes":{"field1":"value1","field2":5},"timestamp":"2022-09-03T15:47:05.415246000"}
{"object":{"VRObject":1},"changes":{"field1":"value1","field2":5},"timestamp":"2022-09-03T15:47:05.415246000"}
{"Echo":{"command":{"Remove":{"objects":[{"VRObject":1},{"VRObject":2},{"Client":1}]}}}}
{"Echo":{"command":{"Remove":{"objects":[{"VRObject":1},{"VRObject":2} {"Client":1}]}}}}
{"object":{"Client":1},"changes":{"position":{"org.vrspace.server.Point":{"x":3.0,"y":2.0,"z":1.0}}}}

VREvent(object={Client=1}, changes={position={org.vrspace.server.Point={x=3.0, y=2.0, z=1.0}}},
timestamp=2022-09-03T15:47:05.709593, className=null, id=null, source=null, client=null, payload=null)
{"Add":{"objects":[{"Client":{"active":true}}]}} {"Add":{"objects":[{"Client":{"active":true}}]}}
{"Echo":{"event":{"object":{"VRObject":1},"changes":{"field1":"value2","field2":5,"field3":{"id":2},"field4":{"one":1,"two":"two"}},"timestam
p":"2022-09-03T15:47:05.932405000"}}}
{"Echo":{"event":{"object":{"VRObject":1},"changes":{"field1":"value2","field2":5,"field3":{"id":2},"field4":{"one":1,"two":"two"}},"timestam
p":"2022-09-03T15:47:05.932405000"}}}
{"Welcome":{"client":{"active":true},"permanents":[{"VRObject":{"id":1}},{"VRObject":{"id":2}}],"timestamp":"2022-09-03T 15:47:06.0005
19000}

{"Welcome":{"client":{"active":true},"permanents":[{"VRObject":{"id":1}},{"VRObject":{"id":2}}],"timestamp":"2022-09-03T 15:47:06.0005
19000"}} {"Client":{"active":true,"name":"client"}} {"Client":{"active":true,"name":"client"}}
{"VRObject":{"id":1,"children":[{"VRObject":{"id":2,"position":{"x":3.0,"y":2.0,"z":1.0}}},{"VRObject":{"id":3}}],"position":{"x":1.0,"y":2.0,"z"
3.0}
{"VRObject"{"id":1,"children":[{"VRObject":{"id":2,"position":{"x":3.0,"y":2.0,"z":1.0}}},{"VRObject":{"id":3}}],"position":{"x":1.0,"y":2.0,"z"
:3.0}}} {"VRODbject":{"id":1,"children":[{"VRObject":{"id":2}},{"VRObject":{"id":3}}1}}
{"VRObject":{"id":1,"children":[{"VRODbject":{"id":2}},{"VRObject":{"id":3}}1}}
{"Remove":{"objects":[{"VRObject":1},{"VRObject":2},{"Client":1}]}} {"Remove":{"objects":[{"VRObject":1},{"VRObject":2},{"Client":1}1}}
{"Client":{"active":true}}

[INFO] Tests run: 15, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 4.615 s - in org.vrspace.server.core.JsonTest

[INFO] Running org.vrspace.server.core.SessionManagerTest

Database objects before: 6

Database objects before:
Database objects before:
Database objects before:
Database objects before:
Database objects before:
Database objects before:
Database objects before:
Database objects before:
Database objects before:
Database at end: 6
Deleting Point(x=0.0, y=0.0, z=0.0)

Deleting Point(x=0.0, y=0.0, z=0.0)

Deleting Client(name=tester, leftArmPos=null, rightArmPos=null, leftArmRot=null, rightArmRot=null, userHeight=null, owned=[],
sceneProperties=null, tokens={}, writeBack=null, identity=null, session=null, scene=null, mapper=null, privateMapper=null,
guest=false)

Deleting Point(x=3.0, y=2.0, z=1.0)

Deleting Point(x=0.0, y=0.0, z=0.0)

Deleting Point(x=0.0, y=0.0, z=0.0)

[ERROR] Tests run: 10, Failures: 0, Errors: 10, Skipped: 0, Time elapsed: 62.733 s <<< FAILURE! - in
org.vrspace.server.core.SessionManagerTest

[ERROR] testWrongClient Time elapsed: 8.814 s <<< ERROR!

org.springframework.dao.DatalntegrityViolationException: Node(92) already exists with label “Client” and property "'name’ = 'tester’;
Error code 'Neo.ClientError.Schema.ConstraintValidationFailed'; nested exception is org.neo4j.driver.exceptions.ClientException:
Node(92) already exists with label “Client” and property ‘name’ = 'tester'

at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

Caused by: org.neodj.driver.exceptions.ClientException: Node(92) already exists with label "Client” and property ‘name’ = 'tester’'
at org.vrspace.server.core.SessionManagerTest.create TestUser(SessionManagerTest.java: 146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

DO O,

[ERROR] testEnterValid Time elapsed: 0.337 s <<< ERROR!

org.springframework.dao.DatalntegrityViolationException: Node(92) already exists with label "Client” and property "'name’ = 'tester’;
Error code 'Neo.ClientError.Schema.ConstraintValidationFailed'; nested exception is org.neo4j.driver.exceptions.ClientException:
Node(92) already exists with label "Client” and property ‘name’ = 'tester'

at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

Caused by: org.neo4j.driver.exceptions.ClientException: Node(92) already exists with label *Client” and property ‘name’ = 'tester'
at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

[ERROR] testAnonymousLoginFail Time elapsed: 0.196 s <<< ERROR!
org.springframework.dao.DatalntegrityViolationException: Node(92) already exists with label "Client” and property ‘name’ = 'tester’;
Error code 'Neo.ClientError.Schema.ConstraintValidationFailed'; nested exception is org.neo4j.driver.exceptions.ClientException:
Node(92) already exists with label "Client” and property ‘name’” = 'tester'

at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

Caused by: org.neo4j.driver.exceptions.ClientException: Node(92) already exists with label *Client” and property ‘name’ = 'tester'
at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

[ERROR] testAnonymousLogin Time elapsed: 0.111 s <<< ERROR!

org.springframework.dao.DatalntegrityViolationException: Node(92) already exists with label “Client” and property “name” = 'tester’;
Error code 'Neo.ClientError.Schema.ConstraintValidationFailed'; nested exception is org.neo4j.driver.exceptions.ClientException:
Node(92) already exists with label "Client” and property ‘name’” = 'tester’

at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

Caused by: org.neodj.driver.exceptions.ClientException: Node(92) already exists with label *Client” and property ‘name’ = 'tester'
at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)
[ERROR] testNamedLogin Time elapsed: 0.152 s <<< ERROR!

org.springframework.dao.DatalntegrityViolationException: Node(92) already exists with label "Client” and property ‘name’ = 'tester’;
Error code 'Neo.ClientError.Schema.ConstraintValidationFailed'; nested exception is org.neo4j.driver.exceptions.ClientException:
Node(92) already exists with label "Client” and property ‘name’” = 'tester’

at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

Caused by: org.neo4j.driver.exceptions.ClientException: Node(92) already exists with label *Client” and property ‘name’ = 'tester'
at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

[ERROR] testMulticast Time elapsed: 0.112 s <<< ERROR!

org.springframework.dao.DatalntegrityViolationException: Node(92) already exists with label “Client” and property “name” = 'tester’;
Error code 'Neo.ClientError.Schema.ConstraintValidationFailed'; nested exception is org.neo4j.driver.exceptions.ClientException:
Node(92) already exists with label "Client” and property ‘name’” = 'tester’

at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

Caused by: org.neo4j.driver.exceptions.ClientException: Node(92) already exists with label *Client” and property ‘name’ = 'tester’'
at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

[ERRORY] testEnterUnknown Time elapsed: 0.349 s <<< ERROR!

org.springframework.dao.DatalntegrityViolationException: Node(92) already exists with label “Client” and property "'name’ = 'tester’;
Error code 'Neo.ClientError.Schema.ConstraintValidationFailed'; nested exception is org.neo4j.driver.exceptions.ClientException:
Node(92) already exists with label “Client” and property ‘name’ = 'tester'

at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

Caused by: org.neo4j.driver.exceptions.ClientException: Node(92) already exists with label "Client” and property ‘name’ = 'tester’
at org.vrspace.server.core.SessionManagerTest.create TestUser(SessionManagerTest.java: 146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

[ERROR] testAddRemove Time elapsed: 0.08 s <<< ERROR!

org.springframework.dao.DatalntegrityViolationException: Node(92) already exists with label "Client” and property "'name’ = 'tester’;
Error code 'Neo.ClientError.Schema.ConstraintValidationFailed'; nested exception is org.neo4j.driver.exceptions.ClientException:
Node(92) already exists with label "Client” and property ‘name’ = 'tester'

at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

Caused by: org.neodj.driver.exceptions.ClientException: Node(92) already exists with label *Client” and property ‘name’ = 'tester'
at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

[ERROR] testInvalidLoginFail Time elapsed: 0.179 s <<< ERROR!

org.springframework.dao.DatalntegrityViolationException: Node(92) already exists with label "Client” and property ‘name’ = 'tester’;
Error code 'Neo.ClientError.Schema.ConstraintValidationFailed'; nested exception is org.neo4j.driver.exceptions.ClientException:
Node(92) already exists with label "Client” and property ‘name’” = 'tester'

at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

Caused by: org.neo4j.driver.exceptions.ClientException: Node(92) already exists with label *Client” and property ‘name’ = 'tester'
at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

[ERROR] testChangeOwnProperty Time elapsed: 0.1 s <<< ERROR!

org.springframework.dao.DatalntegrityViolationException: Node(92) already exists with label “Client” and property “name” = 'tester’;
Error code 'Neo.ClientError.Schema.ConstraintValidationFailed'; nested exception is org.neo4j.driver.exceptions.ClientException:
Node(92) already exists with label "Client” and property ‘name’” = 'tester’

at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

Caused by: org.neo4j.driver.exceptions.ClientException: Node(92) already exists with label *Client” and property ‘name’ = 'tester’'
at org.vrspace.server.core.SessionManagerTest.createTestUser(SessionManagerTest.java:146)

at org.vrspace.server.core.SessionManagerTest.setUp(SessionManagerTest.java:83)

[INFO] Running org.vrspace.server.core.SceneTest

2022-09-03 15:48:10.551 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 removing 0
2022-09-03 15:48:10.639 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 adding 2
Add(objects=[VRObject(super=Entity(id=1), children=[VRODbject(super=Entity(id=11), children=[], world=null, position=null,
rotation=null, scale=null, permanent=null, temporary=null, active=true, mesh=null, script=null, animation=null, properties=null,
streamld=null, listeners={ID=client})], world=null, position=Point(x=0.0, y=0.0, z=0.0), rotation=null, scale=null, permanent=null,
temporary=null, active=true, mesh=null, script=null, animation=null, properties=null, streamld=null, listeners={ID=client}),
VRObject(super=Entity(id=2), children=[], world=null, position=Point(x=1.0, y=0.0, z=0.0), rotation=null, scale=null, permanent=null,
temporary=null, active=false, mesh=null, script=null, animation=null, properties=null, streamld=null, listeners=null)])

2022-09-03 15:48:10.812 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 removing 2
2022-09-03 15:48:10.815 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 adding 0
Remove(objects=[{VRObject=11}, {VRObject=1}], iterator=null)

2022-09-03 15:48:11.587 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 removing 0
2022-09-03 15:48:11.589 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 adding 2
2022-09-03 15:48:11.645 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 removing 0
2022-09-03 15:48:11.647 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 adding 2
2022-09-03 15:48:11.673 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 removing 1
2022-09-03 15:48:11.710 DEBUG 25764 --- [ main] org.vrspace.server.core.Scene : Scene for 0 adding 0
2022-09-03 15:48:11.720 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 removing 0
2022-09-03 15:48:11.730 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 adding 1
2022-09-03 15:48:11.800 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 removing 0
2022-09-03 15:48:11.806 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 adding 2

Add(objects=[VRObject(super=Entity(id=1), children=[VRODbject(super=Entity(id=11), children=[], world=null, position=null,
rotation=null, scale=null, permanent=null, temporary=null, active=true, mesh=null, script=null, animation=null, properties=null,
streamld=null, listeners={ID=client})], world=null, position=Point(x=0.0, y=0.0, z=0.0), rotation=null, scale=null, permanent=null,
temporary=null, active=true, mesh=null, script=null, animation=null, properties=null, streamld=null, listeners={ID=client}),
VRObject(super=Entity(id=2), children=[], world=null, position=Point(x=1.0, y=0.0, z=0.0), rotation=null, scale=null, permanent=null,
temporary=null, active=false, mesh=null, script=null, animation=null, properties=null, streamld=null, listeners=null)])

2022-09-03 15:48:11.833 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 removing 3
Remove(objects=[{VRObject=11}, {VRObject=1}, {VRObject=2}], iterator=null)

2022-09-03 15:48:11.889 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 removing 0
2022-09-03 15:48:11.889 DEBUG 25764 --- | main] org.vrspace.server.core.Scene : Scene for 0 adding 2

Add(objects=[VRODbject(super=Entity(id=1), children=[VRODbject(super=Entity(id=11), children=[], world=null, position=null,
rotation=null, scale=null, permanent=null, temporary=null, active=true, mesh=null, script=null, animation=null, properties=null,
streamld=null, listeners={ID=client})], world=null, position=Point(x=0.0, y=0.0, z=0.0), rotation=null, scale=null, permanent=null,
temporary=null, active=true, mesh=null, script=null, animation=null, properties=null, streamld=null, listeners={ID=client}),
VRObject(super=Entity(id=2), children=[], world=null, position=Point(x=1.0, y=0.0, z=0.0), rotation=null, scale=null, permanent=null,
temporary=null, active=false, mesh=null, script=null, animation=null, properties=null, streamld=null, listeners=null)])

[INFQ] Tests run: 5, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.533 s - in org.vrspace.server.core.SceneTest

[INFO] Running org.vrspace.server.core.FactoryConfigTest

[WARNING] Tests run: 1, Failures: 0, Errors: 0, Skipped: 1, Time elapsed: 0.001 s - in org.vrspace.server.core.FactoryConfigTest
[INFO] Running org.vrspace.server.core.SessionTrackerTest

[INFO] Tests run: 3, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.001 s - in org.vrspace.server.core.SessionTrackerTest
2022-09-03 15:48:13.553 INFO 25764 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig  : Database shutting down...
2022-09-03 15:48:22.720 INFO 25764 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig  : Database shutting down
complete

2022-09-03 15:48:22.950 INFO 25764 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig  : Deleting database directory
/root/vrspace/server/vrspace-test.db

2022-09-03 15:48:23.415 INFO 25764 --- [ionShutdownHook] org.neo4j.driver.Driver : Closing driver instance
1256374299

2022-09-03 15:48:23.524 INFO 25764 --- [ionShutdownHook] org.neo4j.driver.ConnectionPool : Closing connection pool
towards localhost:7688

[INFO]

[INFO] Results:

[INFO]

[ERROR] Failures:

[ERROR] DBTest.testPointsinRange:107 expected: <1> but was: <5>

[ERROR] Errors:

[ERROR] SessionManagerTest.setUp:83->createTestUser:146 ? DatalntegrityViolation Node(...

[ERROR] SessionManagerTest.setUp:83->createTestUser:146 ? DatalntegrityViolation Node(...

[ERROR] SessionManagerTest.setUp:83->createTestUser:146 ? DatalntegrityViolation Node(...

[ERROR] SessionManagerTest.setUp:83->createTestUser:146 ? DatalntegrityViolation Node(...

[ERROR] SessionManagerTest.setUp:83->createTestUser:146 ? DatalntegrityViolation Node(...

[ERROR] SessionManagerTest.setUp:83->createTestUser:146 ? DatalntegrityViolation Node(...

[ERROR] SessionManagerTest.setUp:83->createTestUser:146 ? DatalntegrityViolation Node(...

[ERROR] SessionManagerTest.setUp:83->createTestUser:146 ? DatalntegrityViolation Node(...

[ERROR] SessionManagerTest.setUp:83->createTestUser:146 ? DatalntegrityViolation Node(...

[ERROR] SessionManagerTest.setUp:83->createTestUser:146 ? DatalntegrityViolation Node(...

[INFO]

[ERROR] Tests run: 87, Failures: 1, Errors: 10, Skipped: 2

[INFO]
[INFO]
[INFO] BUILD FAILURE
[INFO]
[INFO] Total time: 12:04 min

[INFO] Finished at: 2022-09-03T15:48:25Z
[INFO]
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-surefire-plugin:2.22.2:test (default-test) on project server: There
are test failures.

[ERROR]

[ERROR] Please refer to /root/vrspace/server/target/surefire-reports for the individual test results.

[ERROR] Please refer to dump files (if any exist) [date].dump, [date]-jvmRun[N].dump and [date].dumpstream.

[ERROR] -> [Help 1]

[ERROR]

[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.

[ERROR] Re-run Maven using the -X switch to enable full debug logging.

[ERROR]

[ERROR] For more information about the errors and possible solutions, please read the following articles:

[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException

Error: Unable to access jarfile /root/vrspace/server/target/server-0.4.7-SNAPSHOT .jar

command terminated with exit code 1

Okay, now, on my desktop VRspace is compiling fine.
But on my DEV. workstation inside Kubernetes pods, now it does not work.
Still I did get it working a few day ago.

This BUILD is from my fork.
But | get similar error with the main branch.

My guess is taht something hardware of config set an error.
What is it, please ?

Thanks by advance.
Best Regards.
Benjamin.

History

#1 - 09/04/2022 12:18 PM - Josip Almasi

These are integration tests failing, and generally safe to ignore. These should be executed by failsafe maven plugin rather than surefire - eventually.
For the time being, | just want to see what happens in different build environments, and I'd rather have idempotent integration tests.

So integration tests start an embedded neo4j, with an empty database. You can see the output like

2022-09-04 10:37:24.970 INFO 9860 ——— [ main] org.neo4j.driver.Driver : Direct dri

ver instance 626211770 created for server address localhost:7688

2022-09-04 10:37:26.209 INFO 9860 —--—- [ main] org.vrspace.server.config.NeoConfig : Configured
database uri: file:./vrspace-test.db

2022-09-04 10:37:26.211 INFO 9860 ——— [ main] org.vrspace.server.config.NeoConfig : Absolute d
atabase path: C:\dev\prj\vrspace\server\vrspace-test.db

2022-09-04 10:37:26.212 INFO 9860 —-—-- [ main] org.vrspace.server.config.NeoConfig : Starting d

atabase on bolt://localhost:7688

but this part you did not copy here. This database is automatically removed after the execution.

Tests that require database (e.g. DBTest) can simply use Transactional annotation, it ensures to clean up all the garbage created by the test, as
transactions are thread-bound. But end-to-end tests (e.g. SessionManagerTest) execute in different context. These set up mock client, and send
commands to the server.

And client of course can't utilize Transactional annotations. So these tests insert required objects before test, and clean up after themselves explicitly.
You can see some of it in output above like

Database objects before: 6
Database at end: 6

This is debug output just for this purpose. Now, if you look at first failing test, DBTest.testPointsinRange(), you can see that all that it does is insert
three Points into the database, with different coordinates. Yet it fails with

[ERROR] testPointsInRange Time elapsed: 7.833 s <<< FAILURE!
org.opentest4j.AssertionFailedError: expected: <1> but was: <5>
at org.vrspace.server.core.DBTest.testPointsInRange (DBTest.java:107)

and that suggest that your database wasn't empty to start with.

| can think of two reason why this could happen. Unlikely, tests are running in parallel. And indeed, you can see that SessionManagerTest and
WorldManagerTest are executed after.

Or simply, file:./vrspace-test.db existed before you started testing, with some existing points on coordinates (0,0,0).

This is controlled by org.vrspace.db.cleanup=false set in src/test/resources/application.properties, and NeoConfig.stop() method. As far as | can tell,
you can't keep test database by simply hitting ctrl+c, you have to kill tests with kill signal.

So to fix this, if vrspace-test.db does exist in you environment, just remove it and try again.
To fix it for good, maven should remove vrspace-test.db before running tests. (build profile, before surefire)

Can you reproduce this consistently? How do you/kubernetes kill running maven?

#2 - 09/20/2022 10:41 AM - Josip Almasi

Hey Benjamin, it's been a while.
| just pushed a patch that cleans up test database before running tests:

https://github.com/jalmasi/vrspace/commit/b4664c09b094f463ec53c1fc2b159b1d1663a572
Let me know how it works for you.

#3 - 09/20/2022 10:41 AM - Josip Almasi

- Status changed from New to Feedback

#4 - 09/20/2022 11:04 AM - Benjamin LIPERE

Thanks, once my Infrstructure problem is done | will open a DEV server (Kubernetes).
Please send me you public SSH key to benjamin.lipere123@gmail.com.

#5 - 09/20/2022 11:05 AM - Benjamin LIPERE

if you want to have access of course.

#6 - 01/03/2023 06:31 PM - Josip Almasi
- Status changed from Feedback to Closed
